> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/getting-started/access-to-insurpass-api.md).

# Access to Insurpass API

### Request access to Insurpass

Before you can start building with Insurpass, you'll need to be given access. To request access to Insurpass' API, signup [here](https://insurpass.com/). Having done this, you will be contacted by the Insurpass Support Team.

## SAMPLE TOKEN

```javascript
ins_sk_ec558738099823808fudkj0308380f80803088008803w05f6bed251a55f_test
```

{% hint style="info" %}
Your bearer token can be used to make any API call on behalf of your account so you'll need to treat your token as you would any other password and grant access only to those who need it.

If a token is compromised, you can re-generate a new one from your dashboard.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/getting-started/access-to-insurpass-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
